org.eclipse.actf.ui.util.timer

## Class WaitExecSyncEventListener

- java.lang.Object
- - org.eclipse.actf.ui.util.timer.WaitExecSyncEventListener

All Implemented Interfaces:
  Runnable, SyncEventListener

    public class WaitExecSyncEventListener
    extends Object
    implements SyncEventListener

Utility to periodically check if action defined in `WaitExecSyncEventHandler` can be executed. If canRun becomes true, it execute the run method of `WaitExecSyncEventHandler`.

See Also:
  `WaitExecSyncEventHandler`, `SyncEventListener`

### Constructor Summary

Constructors
Constructor and Description
`WaitExecSyncEventListener(WaitExecSyncEventHandler handler)` Constructor of the class

### Method Summary

Methods
`double` `getInterval()`
`void` `run()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WaitExecSyncEventListener

    public WaitExecSyncEventListener(WaitExecSyncEventHandler handler)

Constructor of the class

Parameters:
  `handler` - target `WaitExecSyncEventHandler`

### Method Detail

#### getInterval

    public double getInterval()

Specified by:
  `getInterval` in interface `SyncEventListener`
Returns:
  the interval time in form of second. For example, 100 millisecond is 0.1.

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`